Jackpot List
curl --request GET \
--url https://s-apis.oppigames.com/game/jackpot-list \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/jackpot-list"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/jackpot-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/jackpot-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 2,
"result": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1720761376617",
"betPortion": 50,
"jackpotPool": 150000000,
"status": 0,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Jackpot
Jackpot List
This API is used to retrieve a paginated list of jackpots. It also allows optional filtering by gameId.
GET
/
game
/
jackpot-list
Jackpot List
curl --request GET \
--url https://s-apis.oppigames.com/game/jackpot-list \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/jackpot-list"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'Content-Type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/jackpot-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/jackpot-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 2,
"result": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1720761376617",
"betPortion": 50,
"jackpotPool": 150000000,
"status": 0,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
status
- 0 = Inactive
- 1 = Active
- 2 = Awarded (Jackpot completed)
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) Used to verify the request’s freshness.
Ensure the same value is used in signature generation.
The signature will remain valid for only 5 minutes from the provided
timestamp.
string
required
Must be set to
application/json.Query Parameters
number
Specifies the current page number for pagination purposes ( default is 1).
number
Specifies how many records to display on each page, controlling the size of each data segment (default is 10).
string
Optional filter to fetch jackpots for a specific game. Pass the game’s unique ID.
Response
string
required
Status of the request.
Data Object
Show Data properties
Show Data properties
integer
required
The current page number of the results.
integer
required
The total number of pages available.
integer
required
The total number of records matching the query.
array
required
List of jackpot matching the query parameters.
Show result properties
Show result properties
string
required
Unique identifier of the Jackpot.
string
required
Unique identifier of the game associated with jackpot.
integer
required
Bet portion (%) configured for the associated jackpot.
integer
required
Jackpot pool amount configured for the associated jackpot.
To maintain precision and avoid floating-point errors, the jackpot pool field is processed as an integer value by multiplying the actual amount by 100000.For example, a jackpot pool of 12.34567 will be represented as 1234567 in the API.
integer
required
Current status of the associated jackpot.
string
required
Timestamp indicating when the jackpot entry was created (UTC format).
string
required
Timestamp indicating when the jackpot entry was last updated (UTC format).
{
"status": "RS_OK",
"data": {
"totalPages": 1,
"currentPage": 1,
"totalCount": 2,
"result": [
{
"jackpotId": "200b4487-3e2d-4c83-a85d-3f6d7245ba10",
"gameId": "G1720761376617",
"betPortion": 50,
"jackpotPool": 150000000,
"status": 0,
"createdAt": "2025-07-15T09:14:18.339Z",
"updatedAt": "2025-07-15T09:14:18.339Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
⌘I
